/*!
  \file
  \brief SCI の入力補助

  \author Satofumi KAMIMURA

  $Id: sci_get.c 1811 2010-04-30 16:12:05Z satofumi $
*/

#include "sci_control.h"


int sci_getc(void)
{
    char ch;
    return (sci_receive(&ch, 1) <= 0) ? -1 : ch;
}
